Subject: RE: [Mip6] How to store DNS records about HAs, (draft-ietf-mip6-bootstrapping-split-02.txt)?

From: "COMBES Jean-Michel RD-MAPS-ISS" <[email-masked]>
Date: Tue, 2 May 2006 19:44:22 +0200

> -----Original Message-----
> From: Alexandru Petrescu [mailto:[email-masked]] 
> Sent: Tuesday, May 02, 2006 7:22 PM
> To: COMBES Jean-Michel RD-MAPS-ISS
> Cc: Gerardo Giaretta; Chowdhury, Kuntal; [email-masked]
> Subject: Re: [Mip6] How to store DNS records about HAs, 
> (draft-ietf-mip6-bootstrapping-split-02.txt)?
> 
> COMBES Jean-Michel RD-MAPS-ISS wrote:
> > 
> > 
> > 
> >> -----Original Message----- From: Alexandru Petrescu 
> >> [mailto:[email-masked]] Sent: Tuesday, May 02,
> >> 2006 6:48 PM To: COMBES Jean-Michel RD-MAPS-ISS Cc: 
> Gerardo Giaretta; 
> >> Chowdhury, Kuntal; [email-masked] Subject: Re: [Mip6] How 
> to store DNS 
> >> records about HAs, (draft-ietf-mip6-bootstrapping-split-02.txt)?
> >> 
> >> COMBES Jean-Michel RD-MAPS-ISS wrote:
> >>>> Alex PS: I don't think there's a clearcut  difference 
> between "HA 
> >>>> discovery" and "HA assignment".  DHAAD is mainly discovery
> >>>> 
> >> but its
> >>>> effect is that MN gets its HA address, thus it is 
> assigned the HA 
> >>>> address.
> >>>> 
> >>> Alex,
> >>> 
> >>> When you book a room in a hotel, who does decide finally on
> >> the number
> >>> of your room? This is the hotel, regarding what type of
> >> room you want
> >>> and the ones that are available. This is assignment :)
> >> YEs, and this assignment does not guarantee forwarding of 
> all my mail 
> >> arriving at my house in my home country to the room 
> assigned by that 
> >> hotel.  (For that, I'll have to tell La Poste (USMail) my 
> real house 
> >> address and the room number at that hotel).
> >> 
> >> I suppose I'm correct to understand that HA assignment 
> will not offer 
> >> session continuity from the previously assigned HA/HoA.
> > 
> > In my point of view, this is another issue (which may have 
> solutions 
> > like HAHA or CxT maybe)
> 
> I think Context Transfer as is (RFC 4067) wouldn't work here. 
>  It is experimental.  The other issue is that CxT works 
> between two routers nearby, and there are no route updates 
> between them.  Bootstrapping a HA
>   (from different subnet) to MN necessarily implies route or 
> path updates between the two HAs, such that the same HoA is 
> now reachable from CN, at the new HA.
> 
> HAHA (global HAHA) has been actively discussed recently in 
> the NEMO WG.
>   It is not yet clear (to me at least) how it will evolve.  
> Its current status is that it is a personal proposal.
> 
> shim6 is yet another possibility to have two HAs in different 
> subnets serve same HoA.  It is not yet specified as such, but 
> one could imagine how to use it.
> 
> netlmm in the home network would work too.  But if we 
> consider netlmm in the home network we could as well consider 
> it in the foreign network.
> In which case MIP6 is not involved.
> 
> But the need for bootstrapping itself seems to be immediate, 
> not later.
> 
> > we can assume the MN has no active session when it 
> bootstrapps because 
> > in fact it is not yet a MN and so has not previous HA :)
> 
> Yes, I agree with you.
> 
> That is the role of pre-configured information.  For 
> bootstrapping with session continuity to work one would need 
> a pre-configured information that ensures that whenever the 
> MN bootstraps it obtains same HoA and a HA from same subnet.
> 
> I think I can not assume every time I reboot my phone I 
> perform a bootstrap assigning me a different HoA.  Or maybe I 
> want to do such bootstrap only when the phone is brand new.
> 

That depends the MSP's policy. But, BTW, in your two examples,
impossible to have session continuity ;)

Another point (from draft-ietf-mip6-bootstrap-ps-04):

"1.2 What is Bootstrapping?
   Bootstrapping is defined as obtaining enough information at the
   mobile node so that the mobile node can successfully register with an
   appropriate home agent.  Specifically, this means obtaining the home
   agent address and home address, and for the mobile node and home
   agent to authenticate and mutually construct security credentials for
   Mobile IPv6.
   Typically, bootstrapping happens when a mobile node does not have all
   the information it needs to setup the Mobile IPv6 service.  This
   includes, but is not limited to, the mobile node (MN) not having any
   information when it boots up for the first time (out of the box), it
   does not retain any information during reboots, etc.
   Also, in certain scenarios, after the MN bootstraps for the first
   time (out of the box), subsequent bootstrapping is implementation-
   dependent.  For instance, the MN may bootstrap every time it boots,
   bootstrap everytime on prefix change, bootstrap periodically to
   anchor to an optimal (distance, load etc) HA, etc."

IMO, your session continuity issue is more linked to the HA reliability.

> Alex

Best regards.

JMC.

France Telecom - R&D Division - MAPS/NSS   
Jean-Michel COMBES, Internet/Intranet Security
E-Mail: [email-masked]
Phone: +33 (0)1 45 29 45 94
Fax: +33 (0)1 45 29 65 19
Mobile: +33 (0)6 07 29 30 16 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 02 May 2006 20:17:16 +0200

COMBES Jean-Michel RD-MAPS-ISS wrote:
>> 2006 7:22 PM To: COMBES Jean-Michel RD-MAPS-ISS Cc: Gerardo 
>> Giaretta; Chowdhury, Kuntal; [email-masked] Subject: Re: [Mip6] How 
>> to store DNS records about HAs, 
>>>> records about HAs, 
>> I think Context Transfer as is (RFC 4067) wouldn't work here. It is
>>  experimental.  The other issue is that CxT works between two 
>> routers nearby, and there are no route updates between them. 
>> Bootstrapping a HA (from different subnet) to MN necessarily 
>> implies route or path updates between the two HAs, such that the 
>> same HoA is now reachable from CN, at the new HA.
>> 
>> HAHA (global HAHA) has been actively discussed recently in the NEMO
>>  WG. It is not yet clear (to me at least) how it will evolve. Its 
>> current status is that it is a personal proposal.
>> 
>> subnets serve same HoA.  It is not yet specified as such, but one 
>> could imagine how to use it.
>> 
>> netlmm in the home network would work too.  But if we consider 
>> netlmm in the home network we could as well consider it in the 
>> foreign network. In which case MIP6 is not involved.
>> 
>> But the need for bootstrapping itself seems to be immediate, not 
>> later.
>> 
>> That is the role of pre-configured information.  For bootstrapping 
>> with session continuity to work one would need a pre-configured 
>> information that ensures that whenever the MN bootstraps it obtains
>>  same HoA and a HA from same subnet.
>> 
>> I think I can not assume every time I reboot my phone I perform a 
>> bootstrap assigning me a different HoA.  Or maybe I want to do such
>>  bootstrap only when the phone is brand new.
>> 
> 

Well, if any of the protocols mentioned is matured and used, then there
may be.  But one can't assume that so early.

> Another point (from draft-ietf-mip6-bootstrap-ps-04):

I agree, the draft takes bootstrapping as an operation that happens
relatively rarely.

> "1.2 What is Bootstrapping? Bootstrapping is defined as obtaining 
> enough information at the mobile node so that the mobile node can 
> successfully register with an appropriate home agent.  Specifically, 
> this means obtaining the home agent address and home address, and for
> the mobile node and home agent to authenticate and mutually construct
> security credentials for Mobile IPv6. Typically, bootstrapping
> happens when a mobile node does not have all the information it needs
> to setup the Mobile IPv6 service.  This includes, but is not limited
> to, the mobile node (MN) not having any information when it boots up
> for the first time (out of the box), it does not retain any
> information during reboots, etc.

Any device booting up has some user information based on which to rely.
  BOOTP and DHCP use the MAC addresses.  GSM phones use some IMEI or
other data in the SIM card.  Sometimes NAI is used and based on it one
would obtain same IP address at house from ISP.

> anchor to an optimal (distance, load etc) HA, etc."

I think this is a wide qualification.  I'd suggest only keep a minimal
scenario for bootstrapping, maybe only when out-of-the-box only.

When home prefix changes there's MPD.

Optimal anchor and distance are not really defined or known supporting
protocol.

Most certainly not do a change-HoA bootstrapping everytime it powers up,
it's too often, I think.

> IMO, your session continuity issue is more linked to the HA 

I don't think so, just session continuity as offered by plain MIP6.

Alex